import { ComponentFixture, TestBed } from '@angular/core/testing';

import { PeriodicTaskLogListComponent } from './periodic-task-log-list.component';
import { RouterTestingModule } from '@angular/router/testing';
import { HttpClientTestingModule } from '@angular/common/http/testing';

describe('PeriodicTaskLogListComponent', () => {
  let component: PeriodicTaskLogListComponent;
  let fixture: ComponentFixture<PeriodicTaskLogListComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ PeriodicTaskLogListComponent ],
      imports: [RouterTestingModule, HttpClientTestingModule],
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(PeriodicTaskLogListComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
